#' Gene expression data downsampled from GSE19380
#'
#' Rat brain, liver and lung biospecimens derived from one animal at the cRNA
#' homogenate level in different proportions. 3 technical replicates each.
#' We downsample the original data to 10000 probes/probesets and 7 mixtures.
#' Proportions used in experiments and pure expression profiles are also
#' included.
#' @docType data
#' @name ratMix3
#' @usage data(ratMix3)
#' @format A list with three matrices: mixture profiles (X), mixing proportions
#' (A) and pure profiles (S).
#' @references Shen-Orr et al. (2010) Nat Methods 2010 Apr;7(4):287-9.
#' PMID: 20208531
NULL
